Subject: Re: [PWE3] draft-ietf-pwe3-dynamic-ms-pw-10.txt

From: "Henderickx, Wim (Wim)" <[email-masked]>
Date: Tue, 16 Nov 2010 14:48:16 +0100

Frank, the latest version of the draft includes the RD.

From: [email-masked] [mailto:[email-masked]]
Sent: dinsdag 16 november 2010 14:47
To: [email-masked]; Henderickx, Wim (Wim)
Cc: [email-masked]
Subject: Re: [PWE3] draft-ietf-pwe3-dynamic-ms-pw-10.txt

Hello Luca,

I´m Frank Lünnemann from the Deutsche Telekom (FMED) "IP-Backbone Architecture" department. You know me from MS-PW discussions in Darmstadt this year.

In Darmstadt we mentioned, that we need the implementation of RD in the NLRI field additional to add-path. We are supporting Wim´s request for that. This gives us additional options for compatibility between  different vendor-equipment in our IP-BB.

What is the current status of this discussion?

Kind regards
Frank

To: Luca Martini <lmartini at cisco.com>
Subject: Re: [PWE3] draft-ietf-pwe3-dynamic-ms-pw-10.txt
From: "Henderickx, Wim (Wim)" <wim.henderickx at alcatel-lucent.com>
Date: Tue, 14 Sep 2010 20:16:17 +0200
Accept-language: en-US
Acceptlanguage: en-US
Cc: "pwe3 at ietf.org" <pwe3 at ietf.org>

Luca, do we have a conclusion on including the RD in the BGP advertisement. The biggest advantage of this is that it allows to provide path resilience for a MS-PW without requiring BGP-Add Path or deploying A/S PW with 2 prefixes per PE. By including the RD in the BGP NLRI ee will not imply dependencies on the MS-PW deployment and allow people to adopt the right strategy based on their needs.

-----Original Message-----
From: Luca Martini [mailto:lmartini at cisco.com]
Sent: woensdag 16 juni 2010 1:15
To: Henderickx, Wim (Wim)
Cc: pwe3 at ietf.org
Subject: Re: draft-ietf-pwe3-dynamic-ms-pw-10.txt

Henderickx, Wim (Wim) wrote:
>
> Luca,
>
>
>
> What is the reason we did not include the RD in the NLRI Field ? With
> other MP-BGP solutions this allows for optimal resilience. On top it
> also provides a common operations between different MP-BGP solutions.
>
>
>
we did not add it because this is not a vpn, hence we did not need a
address discriminator in BGP. For the multiple path requirement we were
planning to use bgp add path.
>
> Interested to understand the reason and looking to see if we can still
> add it if people agree.
>
>
>
If you agree , I think this it would be a good idea to add the RD back
because it seems that the  add-path
is not a popular BGP feature at this time, and I do not want to have our
dynamic MS-PW solution depend on a feature that is quite complicated to
develop and deploy.

Thanks.
Luca

> Cheers,
> Wim